Skip to main content

Esta versión de GitHub Enterprise Server se discontinuará el 2024-08-29. No se realizarán lanzamientos de patch, ni siquiera para problemas de seguridad críticos. Para obtener rendimiento mejorado, seguridad mejorada y nuevas características, actualice a la versión más reciente de GitHub Enterprise Server. Para obtener ayuda con la actualización, póngase en contacto con el soporte técnico de GitHub Enterprise.

Error: "Seguridad avanzada debe estar habilitado para que este repositorio use el examen de código"

Si ves este error, comprueba que GitHub Advanced Security esté habilitado.

Acerca de este error

Advanced Security must be enabled for this repository to use code scanning
403: GitHub Advanced Security is not enabled

Este error se notifica si intentas ejecutar code scanning en un repositorio en el que GitHub Advanced Security no está habilitado o si una directiva bloquea el uso de esta característica.

Confirmación de la causa del error

  1. En tu instancia de GitHub Enterprise Server, navega a la página principal del repositorio.

  2. En el nombre del repositorio, haz clic en Configuración. Si no puedes ver la pestaña "Configuración", selecciona el menú desplegable y, a continuación, haz clic en Configuración.

    Captura de pantalla de un encabezado de repositorio en el que se muestran las pestañas. La pestaña "Configuración" está resaltada con un contorno naranja oscuro.

  3. En la sección "Seguridad" de la barra lateral, haz clic en Análisis y seguridad del código.

  4. Desplázate hacia abajo hasta "GitHub Advanced Security."

  5. Si hay un botón Habilitar asociado y activo, GitHub Advanced Security está disponible para este repositorio, pero aún no está habilitado.

  6. Si una directiva bloquea el uso de GitHub Advanced Security, el botón Habilitar está inactivo y aparece el propietario de la directiva.

    Captura de pantalla del valor "GitHub Advanced Security". El propietario de la directiva de empresa y el botón "Habilitar" inactivo se resaltan con un contorno naranja oscuro.

Solución del problema

Si GitHub Advanced Security está disponible para el repositorio, puedes habilitarlo en la página de configuración. Si una directiva bloquea GitHub Advanced Security, primero debes solicitar acceso.

Solicitud de acceso a GitHub Advanced Security

  1. En el valor "GitHub Advanced Security", haz clic en el nombre de la empresa para mostrar una lista de usuarios con acceso para editar la directiva que controla el acceso a GitHub Advanced Security. Para obtener más información, vea «Aplicación de directivas de seguridad y análisis de código de la empresa».
  2. Sigue la directiva de la empresa para solicitar acceso a características adicionales.

Habilitación de GitHub Advanced Security

  1. En la configuración de "GitHub Advanced Security", haz clic en Habilitar.
  2. Vuelve a ejecutar code scanning.